package com.casic.dcms.model;

/**
 * PublicKey 登录校验Key
 */
public class PublicKeyBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private boolean appKaptcha;
        private boolean kaptcha;
        private String publicKey;
        private String sid;

        public boolean isAppKaptcha() {
            return appKaptcha;
        }

        public void setAppKaptcha(boolean appKaptcha) {
            this.appKaptcha = appKaptcha;
        }

        public boolean isKaptcha() {
            return kaptcha;
        }

        public void setKaptcha(boolean kaptcha) {
            this.kaptcha = kaptcha;
        }

        public String getPublicKey() {
            return publicKey;
        }

        public void setPublicKey(String publicKey) {
            this.publicKey = publicKey;
        }

        public String getSid() {
            return sid;
        }

        public void setSid(String sid) {
            this.sid = sid;
        }
    }
}
